# 32/64bit spec-file
#
Name:		kid3
Version:	3.1.1
Release:	%mkrel 2
Summary:	Efficient KDE ID3 tag editor
Summary(de):	Effizienter ID3 tag Editor.
License:	GPLv2+
Group:		Sound
URL:		http://kid3.sourceforge.net/
Source0:	http://downloads.sourceforge.net/kid3/%{name}-%{version}.tar.xz
BuildRequires:  kdelibs-devel
BuildRequires:  cmake
BuildRequires:  id3lib-devel
BuildRequires:  %{_lib}taglib-devel >= 1.4
BuildRequires:	%{_lib}flac++6-devel
BuildRequires:  %{_lib}tunepimp-devel
BuildRequires:  %{_lib}vorbis0-devel
BuildRequires:	%{_lib}ffmpeg-devel
BuildRequires:	chromaprint
BuildRequires:	chromaprint-devel
BuildRequires:  gettext
Requires:       xdg-utils
BuildRoot:	%{_tmppath}/%{name}-buildroot
Conflicts:	%name-qt

%description
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, APE, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV and AIFF files.
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package uses KDE libraries, if you do not use KDE you should use kid3-qt.

%description -l de
Mit Kid3 können Sie:

- D3v1.1 tags bearbeiten
- alle ID3v2.3 und ID3v2.4 Frames bearbeiten
- Umwandeln zwischen ID3v1.1, ID3v2.3 und ID3v2.4 tags
- Ogg/Vorbis tags bearbeiten
- FLAC tags bearbeiten
- APE tags in MPC Dateien bearbeiten
- Tags von mehrfachen Dateien bearbeiten, z.B. den Künstler, Album, Jahr und Genre, von allen Daten eines Albums, typischer Weise haben sie die selben Werte und können zusammengesetzt werden.
- Erstellen von tags aus dem Dateinamen
- Erstellen von Dateinamen aus den tags
- Erstellen von Abspiellisten
- Automatische case conversion (ändern von Groß-Kleinschreibung) und string translation (Umwandlung von HTML-Umlauten z. B. Ä, ö, ü …)
- Importieren und exportieren von Albumdaten
- Importieren von gnudb.org, TrackType.org, MusicBrainz, Discogs“

Dieses Paket benutzt KDE-Bibliotheken, wenn Sie KDE nicht nutzen sollten Sie
besser kid3-qt installieren.

%package qt
Group:        Sound
Summary:      Efficient ID3 tag editor
Summary(de):  Effizienter ID3 tag Editor. 
Conflicts: %name

%description qt
With Kid3 you can:

- Edit ID3v1.1 tags
- Edit all ID3v2.3 and ID3v2.4 frames
- Convert between ID3v1.1, ID3v2.3 and ID3v2.4 tags
- Edit tags in MP3, Ogg/Vorbis, FLAC, MPC, MP4/AAC, MP2, Speex,
  TrueAudio, WavPack, WMA, WAV and AIFF files.
- Edit tags of multiple files, e.g. the artist, album, year and genre
  of all files of an album typically have the same values and can be
  set together.
- Generate tags from filenames
- Generate tags from the contents of tag fields
- Generate filenames from tags
- Generate playlist files
- Automatic case conversion and string translation
- Import and export album data
- Import from gnudb.org, TrackType.org, MusicBrainz, Discogs, Amazon

This package does not use KDE libraries, if you use KDE you should use kid3.

%description qt -l de
Mit Kid3 können Sie:

- D3v1.1 tags bearbeiten
- alle ID3v2.3 und ID3v2.4 Frames bearbeiten
- Umwandeln zwischen ID3v1.1, ID3v2.3 und ID3v2.4 tags
- Ogg/Vorbis tags bearbeiten
- FLAC tags bearbeiten
- APE tags in MPC Dateien bearbeiten
- Tags von mehrfachen Dateien bearbeiten, z.B. den Künstler, Album, Jahr und Genre, von allen Daten eines Albums, typischer Weise haben sie die selben Werte und können zusammengesetzt werden.
- Erstellen von tags aus dem Dateinamen
- Erstellen von Dateinamen aus den tags
- Erstellen von Abspiellisten
- Automatische case conversion (ändern von Groß-Kleinschreibung) und string translation (Umwandlung von HTML-Umlauten z. B. Ä, ö, ü …)
- Importieren und exportieren von Albumdaten
- Importieren von gnudb.org, TrackType.org, MusicBrainz, Discogs“

Dieses Paket benutzt keine KDE-Bibliotheken, wenn Sie KDE nutzen sollten Sie
besser kid3 installieren.

%prep
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%setup -q
%apply_patches

%build
%cmake_kde4 -DWITH_LIBDIR=%{_libdir} -DWITH_APPS="Qt;KDE"

%install
rm -rf %buildroot
%{makeinstall_std} -C build

mkdir -p ${RPM_BUILD_ROOT}/%{_defaultdocdir}

test -d $RPM_BUILD_ROOT/usr/bin && strip $RPM_BUILD_ROOT/usr/bin/*
find $RPM_BUILD_ROOT -type f -o -name "*.so" -exec strip "{}" \;

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

rm -f %{buildroot}%{_kde_libdir}/*.so

%find_lang %{name} --with-html --with-kde --with-man

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/kid3
%{_datadir}/applications/kde4/*kid3.desktop
%{_datadir}/icons/hicolor/*x*/apps/kid3.png
%{_datadir}/icons/hicolor/scalable/apps/kid3.svgz
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/apps/kid3/
%{_datadir}/doc/HTML/
%{_mandir}/man1/kid3.1.bz2
%{_datadir}/appdata/kid3.appdata.xml
%{_libdir}/libkid3*.so.%{version}
%{_libdir}/%{name}

%files qt
%defattr(-,root,root,-)
%{_bindir}/kid3-qt
%{_datadir}/applications/*kid3-qt.desktop
%{_datadir}/icons/hicolor/*x*/apps/kid3-qt.png
%{_datadir}/icons/hicolor/scalable/apps/kid3-qt.svg
%{_datadir}/doc/kid3-qt/
%{_datadir}/kid3/translations
%{_datadir}/appdata/kid3-qt.appdata.xml
%{_libdir}/libkid3*.so.%{version}
%{_libdir}/%{name}

%clean
rm -rf %buildroot


%changelog
* Tue Nov 18 2014 bb <bb> 3.1.1-2pclos2014
- rebuild ffmpeg 2.4.3

* Thu Oct 09 2014 bb <bb> 3.1.1-1pclos2014
- update

* Sat Oct 05 2013 bb <bb> 2.3-3pclos2013
- rebuild for new ffmpeg

